Package be.vlaanderen.mercurius.vsb_wzcmh.schemas.v1

# Class IndicationReportType

java.lang.Object
be.vlaanderen.mercurius.vsb_wzcmh.schemas.v1.IndicationReportType

All Implemented Interfaces:
  `Serializable`

@Generated(value="com.sun.tools.xjc.Driver", date="2025-09-16T05:19:48+02:00", comments="JAXB RI v4.0.5") public class IndicationReportType extends Object implements Serializable
Indicatiestelling: KATZ-inschaling en attesten

Java class for IndicationReportType complex type

.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="IndicationReportType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="IndicationReportStartDate" type="{http://www.w3.org/2001/XMLSchema}date"/>
             <element name="KATZMeasurement" type="{http://www.mercurius.vlaanderen.be/vsb-wzcmh/schemas/v1}DetailType" minOccurs="0"/>
             <element name="CertificateDates" type="{http://www.mercurius.vlaanderen.be/vsb-wzcmh/schemas/v1}CertificateType" minOccurs="0"/>
             <element name="Certificates" type="{http://www.mercurius.vlaanderen.be/vsb-wzcmh/schemas/v1}DocumentListType" minOccurs="0"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `IndicationReportType()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `CertificateType`
  `getCertificateDates()`
  Datums van de attesten
  `DocumentListType`
  `getCertificates()`
  Attesten
  `Instant`
  `getIndicationReportStartDate()`
  Begindatum van de geldigheid van de indicatiestelling
  `DetailType`
  `getKATZMeasurement()`
  KATZ-inschaling
  `void`
  `setCertificateDates(CertificateType value)`
  Sets the value of the certificateDates property.
  `void`
  `setCertificates(DocumentListType value)`
  Sets the value of the certificates property.
  `void`
  `setIndicationReportStartDate(Instant value)`
  Sets the value of the indicationReportStartDate property.
  `void`
  `setKATZMeasurement(DetailType value)`
  Sets the value of the katzMeasurement property.

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### IndicationReportType

    public IndicationReportType()

- ## Method Details

  - ### getIndicationReportStartDate

    public Instant getIndicationReportStartDate()
    Begindatum van de geldigheid van de indicatiestelling
    Returns:
      possible object is `String`

  - ### setIndicationReportStartDate

    public void setIndicationReportStartDate(Instant value)
    Sets the value of the indicationReportStartDate property.
    Parameters:
      `value` - allowed object is `String`
    See Also:
      - `getIndicationReportStartDate()`

  - ### getKATZMeasurement

    public DetailType getKATZMeasurement()
    KATZ-inschaling
    Returns:
      possible object is `DetailType`

  - ### setKATZMeasurement

    public void setKATZMeasurement(DetailType value)
    Sets the value of the katzMeasurement property.
    Parameters:
      `value` - allowed object is `DetailType`
    See Also:
      - `getKATZMeasurement()`

  - ### getCertificateDates

    public CertificateType getCertificateDates()
    Datums van de attesten
    Returns:
      possible object is `CertificateType`

  - ### setCertificateDates

    public void setCertificateDates(CertificateType value)
    Sets the value of the certificateDates property.
    Parameters:
      `value` - allowed object is `CertificateType`
    See Also:
      - `getCertificateDates()`

  - ### getCertificates

    public DocumentListType getCertificates()
    Attesten
    Returns:
      possible object is `DocumentListType`

  - ### setCertificates

    public void setCertificates(DocumentListType value)
    Sets the value of the certificates property.
    Parameters:
      `value` - allowed object is `DocumentListType`
    See Also:
      - `getCertificates()`